Level::VSpan Struct Reference

`#include <level.h>`

## Public Member Functions

| VSpan ()
void | clear ()
bool | isAssigned () const

## Public Attributes

LocalIndex | _numFaces
LocalIndex | _startFace
LocalIndex | _cornerInSpan
unsigned short | _periodic: 1
unsigned short | _sharp: 1

## Detailed Description

Definition at line 193 of file level.h.

## Constructor & Destructor Documentation

## VSpan()

VSpan | ( |  | ) |

inline

Definition at line 194 of file level.h.

## Member Function Documentation

## clear()

void clear | ( |  | ) |

inline

Definition at line 196 of file level.h.

## isAssigned()

bool isAssigned | ( |  | ) | const

inline

Definition at line 197 of file level.h.

## Member Data Documentation

## _cornerInSpan

LocalIndex _cornerInSpan

Definition at line 201 of file level.h.

## _numFaces

LocalIndex _numFaces

Definition at line 199 of file level.h.

## _periodic

unsigned short _periodic

Definition at line 203 of file level.h.

## _sharp

unsigned short _sharp

Definition at line 204 of file level.h.

## _startFace

LocalIndex _startFace

Definition at line 200 of file level.h.

The documentation for this struct was generated from the following file:

- opensubdiv/vtr/level.h